#{extends 'borderNG.html' /}
#{set 'titleHead'}
	Edit Jadwal
#{/set}

<ol class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">&{'jadwal.home'}</a></li>
    <li><a href="@{lelang.LelangCtr.edit(lelang?.lls_id)}">Edit Tender</a></li>
    <li class="active">&{'jadwal.edit_jadwal'}</li>
</ol>

<div class="content">
    <table class="table table-sm table-bordered">
        <tr>
            <th class="bg-warning" width="150">&{'jadwal.kode'}</th>
            <td>${lelang.lls_id}</td>
        </tr>
        <tr>
            <th class="bg-warning" width="150">&{'jadwal.namapaket'}</th>
            <td>${lelang.namaPaket}</td>
        </tr>
    </table>
    <div class="bs-callout bs-callout-warning">
        <ul>
        <li>&{'jadwal.jenis_pengadaan_mempengaruhi_jadwal'}</li>
        <li>&{'jadwal.pastikan_durasi_waktu_setiap_tahap_pemilihan'}</li>
        <li>#{if lelang.lls_status.aktif}&{'jadwal.alasan_perubahan_minimal_30_karakter'}#{/if}
            #{certificateInfo lelang /}</li>
        </ul>
    </div>
#{alert /}
#{if lelang.lls_status.draft}
    #{form @lelang.JadwalCtr.copy(lelang?.lls_id) , method:'POST', id:'formCopy', class:'form-inline'}
        <div class="col-sm-12">
            <label>&{'jadwal.copy_jadwal'}</label>
            #{selectCopyJadwal 'lelangCopyId',  id:'lelangCopyId', value:lelangCopyId, lelang:lelang /}
            <button name="copy" disabled class="btn btn-secondary" type="submit"
                    title="Copy jadwal dari paket yang telah ada"><i class="fa fa-copy"></i></button>
        </div>
        <div class="clearfix"></div>
    #{/form}
#{/if}
#{form @lelang.JadwalCtr.simpan(lelang?.lls_id), method:'POST', 'data-alert':'true', id:'jadwalEdit'}
    <input type="hidden" name="id" value="${lelang.lls_id}">
    <table class="table table-sm" id="tblJadwal" style="margin-top:20px;">
        <thead>
        <tr>
            <th width="5">&{'jadwal.no'}</th>
            <th>&{'jadwal.tahap'}</th>
            <th width="150">&{'jadwal.mulai_tanggal'}</th>
            <th width="150">&{'jadwal.selesai_tanggal'}</th>
        </tr>
        </thead>
        <tbody>
        #{list items:jadwalList, as:'jadwal'}
            <tr>
            	<td><input name="jadwalList[${jadwal_index-1}].akt_id" value="${jadwal.akt_id}" type="hidden">${jadwal_index}
            	 <input name="jadwalList[${jadwal_index-1}].dtj_id" value="${jadwal.dtj_id}" type="hidden">
                <input name="jadwalList[${jadwal_index-1}].thp_id" value="${jadwal.thp_id}" type="hidden"></td>
            <td>
                ${jadwal.namaTahap(lelang.lelangV3)}<span class="badge badge-info">${jadwal.getPeriodAsString()}</span>
                <div class="form-text text-muted">${jadwal.keterangan}</div>
                #{ifError 'jadwal['+(jadwal_index-1)+']'}
                <div class="is-invalid"><div class="invalid-feedback">#{error 'jadwal['+(jadwal_index-1)+']' /}</div></div>
                #{/ifError}
            </td>
				#{if jadwal.akt_urut >= urutStart}
				   <td><div style="position: relative;">
                        <input name="jadwalList[${jadwal_index-1}].dtj_tglawal" type="text"  value="${jadwal.dtj_tglawal?.toDatetimepicker()}" initial="${jadwal.dtj_tglawal?.toDatetimepicker()}"
                               class="form-control datetimepicker" id="mulai${jadwal_index-1}"/>
                        </div>
                   </td>
				   <td><div style="position: relative;">
                       <input name="jadwalList[${jadwal_index-1}].dtj_tglakhir" type="text" value="${jadwal.dtj_tglakhir?.toDatetimepicker()}" initial="${jadwal.dtj_tglakhir?.toDatetimepicker()}"
                               class="form-control datetimepicker" id="akhir${jadwal_index-1}" />
                        </div>
                   </td>
				#{/if}
				#{else}
		            <td>${jadwal.dtj_tglawal?.formatDateTime()} <input name="jadwalList[${jadwal_index-1}].dtj_tglawal" value="${jadwal.dtj_tglawal?.toDatetimepicker()}" type="hidden"></td>
		            <td>${jadwal.dtj_tglakhir?.formatDateTime()} <input name="jadwalList[${jadwal_index-1}].dtj_tglakhir" value="${jadwal.dtj_tglakhir?.toDatetimepicker()}" type="hidden"></td>
				#{/else}
			</tr>
        #{/list}
        </tbody>
    </table>
    #{if lelang.lls_status.aktif}
        <input type="hidden" name="harus_berubah" value="true"/>
        <div class="form-group #{errorClass 'keterangan' /}">
            <label class="col-sm-2 control-label">&{'lelang_jadwal.alasan_perubahan2'}</label>
            <div class="col-sm-10">
                <textarea name="keterangan" rows="3" cols="2" class="form-control">${flash.keterangan}</textarea>
                 <span class="help-block">&{'lelang_jadwal.alasan_lebih'}<b> &{'lelang_jadwal.karakter'}</b> </span>
            </div>
        </div>
    #{/if}
#{saveButton /}
#{if lelang.lls_status.aktif}
    #{backButton action:@lelang.LelangCtr.view(lelang.lls_id) /}
#{/if}
#{else}
    #{backButton action:@lelang.LelangCtr.edit(lelang.lls_id) /}
#{/else}
#{/form}
</div>
#{set 'css_custom'}
<style type="text/css">
	.bootstrap-select.btn-group .dropdown-menu {
		max-width: 700px;
	}

	.bootstrap-select.btn-group .dropdown-menu li a span.text {
		display: block !important;
		overflow: hidden;
		word-wrap: break-word;
		white-space: normal;
	}
</style>
#{/set }

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript">
    $(".datetimepicker").focus(function (ev) {
        //jika masih kosong maka isikan jam default 00:00 atau 23:59
        var dateName = $(this).attr("name");
        var isAwal = (dateName.indexOf("awal")) >= 0;
        var dateValue = $(this).val();
        var initialValue = $(this).attr("initial");
        if (isAwal)
            postfix = "00:00";
        else
            postfix = "23:59";

        if (initialValue == "") {
            console.log(initialValue);
            //pastikan bahwa jika Jam sudah pernah diisi maka tidak di-reset lagi menjadi 00:00 atau 23:59
            ary = dateValue.split(" ");
            initialValue = ary[0] + " " + postfix;
<!--            console.log(initialValue);-->
            $(this).data("DateTimePicker").date(initialValue);
            $(this).attr("initial", initialValue);
        }else{

            //console.log($(this).val());
        }
    })

    $("#formCopy").submit(function () {
        if (!confirm("&{'flash.warning_copy_jadwal'}"))
            return false;
    });

    $("select[name='lelangCopyId']").change(function () {
        var id = $(this).val();
        var urls = #{jsRoute @lelang.JadwalCtr.jadwalLelang(':id') /};
        BootstrapDialog.show({
            size: BootstrapDialog.SIZE_LARGE,
            draggable: true,
            title: 'Tahap Tender Saat Ini',
            message: $('<div></div>').load(urls.url({id: id})),
            buttons: [{
                label: 'Ok', action: function (dialog) {
                    dialog.close();
                }
            }]
        });

        var value = $(this).val();
        if (value.length === 0)
            $("[name='copy']").attr("disabled", "disabled");
        else
            $("[name='copy']").removeAttr("disabled");
    });
</script>
#{/set}
